import _extends from "@babel/runtime/helpers/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var FGIn = props => /*#__PURE__*/_jsxs("svg", _extends({
  xmlns: "http://www.w3.org/2000/svg",
  xmlnsXlink: "http://www.w3.org/1999/xlink",
  viewBox: "0 0 512 512",
  height: "1em",
  width: "1em"
}, props, {
  children: [/*#__PURE__*/_jsx("path", {
    fill: "#f93",
    d: "M0 0h512v170.7H0z"
  }), /*#__PURE__*/_jsx("path", {
    fill: "#fff",
    d: "M0 170.7h512v170.6H0z"
  }), /*#__PURE__*/_jsx("path", {
    fill: "#128807",
    d: "M0 341.3h512V512H0z"
  }), /*#__PURE__*/_jsxs("g", {
    transform: "translate(256 256) scale(3.41333)",
    children: [/*#__PURE__*/_jsx("circle", {
      r: 20,
      fill: "#008"
    }), /*#__PURE__*/_jsx("circle", {
      r: 17.5,
      fill: "#fff"
    }), /*#__PURE__*/_jsx("circle", {
      r: 3.5,
      fill: "#008"
    }), /*#__PURE__*/_jsxs("g", {
      id: "prefix__d",
      children: [/*#__PURE__*/_jsxs("g", {
        id: "prefix__c",
        children: [/*#__PURE__*/_jsxs("g", {
          id: "prefix__b",
          children: [/*#__PURE__*/_jsxs("g", {
            id: "prefix__a",
            fill: "#008",
            children: [/*#__PURE__*/_jsx("circle", {
              r: 0.9,
              transform: "rotate(7.5 -8.8 133.5)"
            }), /*#__PURE__*/_jsx("path", {
              d: "M0 17.5.6 7 0 2l-.6 5L0 17.5z"
            })]
          }), /*#__PURE__*/_jsx("use", {
            xlinkHref: "#prefix__a",
            width: "100%",
            height: "100%",
            transform: "rotate(15)"
          })]
        }), /*#__PURE__*/_jsx("use", {
          xlinkHref: "#prefix__b",
          width: "100%",
          height: "100%",
          transform: "rotate(30)"
        })]
      }), /*#__PURE__*/_jsx("use", {
        xlinkHref: "#prefix__c",
        width: "100%",
        height: "100%",
        transform: "rotate(60)"
      })]
    }), /*#__PURE__*/_jsx("use", {
      xlinkHref: "#prefix__d",
      width: "100%",
      height: "100%",
      transform: "rotate(120)"
    }), /*#__PURE__*/_jsx("use", {
      xlinkHref: "#prefix__d",
      width: "100%",
      height: "100%",
      transform: "rotate(-120)"
    })]
  })]
}));

export { FGIn };